Skip To Content

System requirements for 10.2.8-1

In this topic

Supported operating systems

The operating systems that the ArcGIS Runtime SDK for Android supports are the same as those listed for the Android SDK developed by Google. Generally, development is supported on Mac OS X (Intel), Linux, and Windows-based operating systems. Refer to Google documentation for the specific operating system versions that are supported.

Software and platform requirements

The apps you build will run on Android phones and tablets with the Android platform version 4.0.3 (API level 15) and above.

Android SDK support

The following is required for development with this SDK:

Integrated Development Environment (IDE)

Android Studio

Esri supports and recommends the use of Android Studio for development of apps that use ArcGIS Runtime SDK for Android, as this is the IDE officially supported by Google for Android development.

IntelliJ IDEA

IntelliJ IDEA is the IDE upon which Android Studio is based. However, IntelliJ IDEA comes bundled with an Android plugin and supports Android Gradle based build system so you can work directly with the ArcGIS Runtime SDK for Android in IntelliJ IDEA. More information about support for Android development in IntelliJ IDEA can be found here.


Eclipse Mars and above include Buildship, the official support for Gradle for Eclipse, however support for the Android build system is limited.

Please refer to our Developer IDEs document for tips to migrating from Eclipse to Android Studio.

OpenGL ES 2.0

The ArcGIS Runtime SDK for Android uses OpenGL ES 2.0 technology to render map images. This technology makes the product much more versatile and usable by reducing the memory footprint, dramatically improving rendering speeds and using less power.

The Android SDK version 4.0.3 r2 (API level 15) added Graphics Processing Unit (GPU) support in the emulator, which allows apps built with ArcGIS Runtime SDK for Android to be deployed and tested on the emulator. Please refer to our blog post for specific setup instructions.

ArcGIS for Server and ArcGIS for Portal versions and platforms

To connect your app to ArcGIS for Server data or services, use ArcGIS for Server version 10.0 or later. To use ArcGIS for Server data when your app is offline, use ArcGIS for Server version 10.2.2 or later.

You can use ArcGIS for Portal version 10.2 or later with your app.